*******************************************************************************
*                      SYMPHONY SPP+CUTS Application                          *
*******************************************************************************

The SYMPHONY SPP+CUTS application solves the standard Set Partitioning
Problem. This application utilizes cutting planes. For a more basic solver
that illustrates how to solve the SPP with branch and bound, please download
the SYMPHONY SPP application. See below for usage.

******************************************************************************
*                              INSTALLATION                                  *
******************************************************************************

Please see the INSTALL file for a guide to compile SYMPHONY CNRP application.

*******************************************************************************
*                      USING THE SOLVER                                       *
*******************************************************************************

The set partitioning problem (SPP) is a difficult (NP-complete, large size of
problems) combinatorial optimization problem mainly applied to scheduling
problems. SPP can be defined as finding the minimum cost partition of a matrix
having binary entities where a partition is the union of disjoint subsets to
cover all the row indices and a subset -associated to each column- consists of
the row indices if the corresponding entity is 1.

To execute the SPP+CUTS application you are just required to specify the
location of the data file by typing "-F 'filename'" as an argument after the
executable name. There is a sample file called sample.spp that you can try to
make sure the solver is working. More data files may become available. Please
check http://www.branchandcut.org/SPP+CUTS/ for more information. 
The other user defined parameters are the following:

		-H: help (user switches)
		-F file: problem instance data is in 'file'

You can also obtain the above list by tying the executable name followed by
"-H". There are a number of other (for now) undocumented parameters that can
be used to fine-tune the performance of the solver. These must be set in a
parameter file. The SYMPHONY User's Manual explains the use of the parameter
file.

Some of SYMPHONY's native parameters can also be set on the command
line. Below is a list of these parameters. This list can also be obtained by
typing the executable name with no command-line arguments. Note that all
SYMPHONY parameters are denoted by a lowercase letter. Note that there are
dozens of other parameters that can be set with the use of a parameter
file. These parameters are listed in the SYMPHONY User's Manual.

		-h: help
        	-a: no cut timeout
        	-d: enable graph drawing
        	-g: use cut generator
        	-r: do repricing in root
        	-t: trim the tree
        	-b: don't perform branch and cut
        	-u ub: use upper bound 'ub'
        	-p procs: allow 'procs' active nodes
        	-n i: use node selection rule 'i'
        	-v i: set verbosity to level 'i'
        	-s cands: use 'cands' candidates for strong branching
        	-c i: use rule 'i' to compare candidates
        	-k i: use rule 'i' to select child
        	-m n: allow a max of 'n' cuts to enter per iteration
        	-e n: allow a max of 'n' cut pools
        	-l n k: load balance level 'n' and iterations 'k'
        	-i n: allow a max of 'n' iterations in presolve
        	-z n: set diving threshold to 'n'
        	-f file: read parameters from parameter file 'file'

AUTHORS

The SYMPHONY SPP+CUTS application was developed by Marta Eso
(meso@hotchkiss.org).

BUG REPORTS

Please submit bug reports at https://projects.coin-or.org/SYMPHONY
